[<Microsoft.FSharp.Core.RequireQualifiedAccess>]
module Degenz.GuildEnvironment

open System
open DSharpPlus.Entities
open dotenv.net
let g = Environment.GetEnvironmentVariable("DISCORD_GUILD")
printfn $"{g}"
DotEnv.Load(DotEnvOptions(envFilePaths = [ "../../../../env.dev" ], overwriteExistingVars = false))
//DotEnv.Load(DotEnvOptions(envFilePaths = [ "../../../../env.stag" ], overwriteExistingVars = false))
//DotEnv.Load(DotEnvOptions(envFilePaths = [ "../../../../env.prod" ], overwriteExistingVars = false))

let getVar str = Environment.GetEnvironmentVariable(str)
let getId str = getVar str |> uint64

let guildId = getId "DISCORD_GUILD"
printfn $"{guildId}"
let tokenPlayerInteractions = getVar "TOKEN_PLAYER_INTERACTIONS"
let tokenHackerBattle = getVar "TOKEN_HACKER_BATTLE"
let tokenStore = getVar "TOKEN_STORE"
let channelEventsHackerBattle = getId "CHANNEL_EVENTS_HACKER_BATTLE"
let channelTraining = getId "CHANNEL_TRAINING"
let channelArmory = getId "CHANNEL_ARMORY"
let channelBattle = getId "CHANNEL_BATTLE"
//let channelThievery = getId "CHANNEL_THIEVERY"
let botIdHackerBattle = getId "BOT_HACKER_BATTLE"
let botIdArmory = getId "BOT_ARMORY"
let roleTrainee = getId "ROLE_TRAINEE"
let rolePrisoner = getId "ROLE_PRISONER"

let mutable botUserHackerBattle : DiscordUser option = None
let mutable botUserArmory : DiscordUser option = None
